commit 55b68a8158674f6cc141fc2ca6fdfb7f38b1867c
Author: Thomas Axelsson <thomasa88@gmail.com>
Date:   Sat Jan 2 13:30:37 2016 +0100

    make pulseaudio support optional
    
    BUILD_PULSEAUDIO is default ON, but will silently exclude pulseaudio
    support if pulseaudio is not found or supported by the platform. This
    is in line with the behavior of BUILD_LAME.

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 86eed5e..6ffb9fc 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -77,6 +77,7 @@ option(BUILD_LAME    "enable mp3 export" ON)                   # requires libmp3
 SET(JACK_LONGNAME "jack (jack audio connection kit)")
 SET(JACK_MIN_VERSION "0.98.0")
 option(BUILD_JACK    "Build with support for ${JACK_LONGNAME}. jack >= ${JACK_MIN_VERSION} will be needed." ON)
+option(BUILD_PULSEAUDIO "Build with support for Pulseaudio." ON)
 
 if (APPLE)
       set (CMAKE_CXX_COMPILER   clang++)
@@ -222,17 +223,21 @@ endif (APPLE OR MINGW)
 ## pulseaudio
 ##
 
-if (APPLE OR MINGW)
-      set (USE_PULSEAUDIO 0)
-else (APPLE OR MINGW)
-      if (PULSEAUDIO_FOUND)
-            set(USE_PULSEAUDIO 1)
-            message("Pulseaudio found.")
-      else (PULSEAUDIO_FOUND)
-            set(USE_PULSEAUDIO 0)
-            message("Pulseaudio not found.")
-      endif (PULSEAUDIO_FOUND)
-endif (APPLE OR MINGW)
+if (BUILD_PULSEAUDIO)
+      if (APPLE OR MINGW)
+            set (USE_PULSEAUDIO 0)
+      else (APPLE OR MINGW)
+            if (PULSEAUDIO_FOUND)
+                  set(USE_PULSEAUDIO 1)
+                  message("Pulseaudio found.")
+            else (PULSEAUDIO_FOUND)
+                  set(USE_PULSEAUDIO 0)
+                  message("Pulseaudio not found.")
+            endif (PULSEAUDIO_FOUND)
+      endif (APPLE OR MINGW)
+else (BUILD_PULSEAUDIO)
+      message(STATUS "Pulseaudio support disabled.")
+endif (BUILD_PULSEAUDIO)
 
 ##
 ## lame
